package com.bocloud.cmp.model.h3c;

public class H3cClusterModel {
    /**
     * 集群 ID。 长整型（Long）类型。
     */
    private Long id;
    /**
     * 主机池 ID。 长整型（Long）类型。
     */
    private Long hostPoolId;
    /**
     * 集群名称。 字符串（String）类型。
     */
    private String name;
    /**
     * 集群描述。 字符串（String）类型。
     */
    private String description;
    /**
     * 是否启用HA;，枚举值：1=启用，0=不启用。 整型（Integer）类型。
     */
    private Integer enableHA;
    /**
     * 集群启动优先级;，枚举值：0：低级，1：中级，2：高级。 整型（Integer）类型。
     */
    private Integer priority;
    /**
     * 是否启用LB;，0：不启用负载均衡 1：启用负载均衡。 整型（Integer）类型。
     */
    private Integer enableLB;
    /**
     * 持续时间;。 整型（Integer）类型。
     */
    private Integer persistTime;
    /**
     * 检查间隔时长;。 整型（Integer）类型。
     */
    private Integer checkInterval;
    /**
     * 是否启用电源智能管理;， 0：不启用电源智能管理 1：启用电源智能管理。 整型（Integer）类型。
     */
    private Integer enableIPM;
    /**
     * 持续时间;。 整型（Integer）类型。
     */
    private Integer persistTimeIPM;
    /**
     * 主机回收监控策略ID;。 长整型（Long）类型。
     */
    private Long ipmLowerMonitorId;
    /**
     * 主机回收监控策略名称;。 字符串（String）类型。
     */
    private String ipmLowerMonitorName;
    /**
     * 主机扩展监控策略ID;。 长整型（Long）类型。
     */
    private Long ipmUpperMonitorId;
    /**
     * 主机扩展监控策略名称;。 字符串（String）类型。
     */
    private String ipmUpperMonitorName;
    /**
     * 检查间隔;。 整型（Integer）类型。
     */
    private Integer checkIntervalIPM;
    /**
     * 操作员分组ID;。 长整型（Long）类型。
     */
    private Long operatorGroupId;
    /**
     * 操作员分组编号;。 字符串（String）类型。
     */
    private String operatorGroupCode;
    /**
     * 直接子节点数量;。集群下的主机数量。 整型（Integer）类型。
     */
    private Integer childNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHostPoolId() {
        return hostPoolId;
    }

    public void setHostPoolId(Long hostPoolId) {
        this.hostPoolId = hostPoolId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getEnableHA() {
        return enableHA;
    }

    public void setEnableHA(Integer enableHA) {
        this.enableHA = enableHA;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public Integer getEnableLB() {
        return enableLB;
    }

    public void setEnableLB(Integer enableLB) {
        this.enableLB = enableLB;
    }

    public Integer getPersistTime() {
        return persistTime;
    }

    public void setPersistTime(Integer persistTime) {
        this.persistTime = persistTime;
    }

    public Integer getCheckInterval() {
        return checkInterval;
    }

    public void setCheckInterval(Integer checkInterval) {
        this.checkInterval = checkInterval;
    }

    public Integer getEnableIPM() {
        return enableIPM;
    }

    public void setEnableIPM(Integer enableIPM) {
        this.enableIPM = enableIPM;
    }

    public Integer getPersistTimeIPM() {
        return persistTimeIPM;
    }

    public void setPersistTimeIPM(Integer persistTimeIPM) {
        this.persistTimeIPM = persistTimeIPM;
    }

    public Long getIpmLowerMonitorId() {
        return ipmLowerMonitorId;
    }

    public void setIpmLowerMonitorId(Long ipmLowerMonitorId) {
        this.ipmLowerMonitorId = ipmLowerMonitorId;
    }

    public String getIpmLowerMonitorName() {
        return ipmLowerMonitorName;
    }

    public void setIpmLowerMonitorName(String ipmLowerMonitorName) {
        this.ipmLowerMonitorName = ipmLowerMonitorName;
    }

    public Long getIpmUpperMonitorId() {
        return ipmUpperMonitorId;
    }

    public void setIpmUpperMonitorId(Long ipmUpperMonitorId) {
        this.ipmUpperMonitorId = ipmUpperMonitorId;
    }

    public String getIpmUpperMonitorName() {
        return ipmUpperMonitorName;
    }

    public void setIpmUpperMonitorName(String ipmUpperMonitorName) {
        this.ipmUpperMonitorName = ipmUpperMonitorName;
    }

    public Integer getCheckIntervalIPM() {
        return checkIntervalIPM;
    }

    public void setCheckIntervalIPM(Integer checkIntervalIPM) {
        this.checkIntervalIPM = checkIntervalIPM;
    }

    public Long getOperatorGroupId() {
        return operatorGroupId;
    }

    public void setOperatorGroupId(Long operatorGroupId) {
        this.operatorGroupId = operatorGroupId;
    }

    public String getOperatorGroupCode() {
        return operatorGroupCode;
    }

    public void setOperatorGroupCode(String operatorGroupCode) {
        this.operatorGroupCode = operatorGroupCode;
    }

    public Integer getChildNum() {
        return childNum;
    }

    public void setChildNum(Integer childNum) {
        this.childNum = childNum;
    }
}
